Bug 1016445 - virt-manager handles serial console incorrecttly
virt-manager handles serial console incorrecttly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 03:56 EDT by Miroslav Rezanina
Modified: 2013-11-10 12:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 12:00:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Rezanina 2013-10-08 03:56:25 EDT
Description of problem:

Following scenarios does not work
1) When running virt-manager, access to serial console of any guest from console is not possible as virt-manager holds session for the console.

2)If trying to view serial console in virt-manager when console is opened somewhere else, got error message (correct behavior). However, after closing
console session, virt-manager still reports active session.

3) When running virt-manager and access serial console using virsh console --force, virt-manager serial console tab is stuck even after closing another session (not reconnected).

Version-Release number of selected component (if applicable):
virt-manager-0.10.0-4.git79196cdf.fc20
libvirt-client 1.1.3-2.fc20

How reproducible:
Always

Steps to Reproduce:
1. Create and run guest with serial console
2. Try to access it from virt-manager or console

Actual results:
virt-manager create serial console session on background on start (guest or virt-manager, whatever happens first) and do not update it.

Expected results:
virt-manager create serial console session on demand, update when serial console
is requested again.

Additional info:
Comment 1 Cole Robinson 2013-11-09 17:55:21 EST
Thanks for the report, upstream is fixed now to disconnect from the text console when the VM window is closed.
Comment 2 Cole Robinson 2013-11-10 12:00:26 EST
Fixed in virt-manager-0.10.0-5.git1ffcc0cc.fc21

Note You need to log in before you can comment on or make changes to this bug.